Name:      mythes
Version:   1.2.5
Release:   1
Summary:   A thesaurus library
License:   BSD-2-Clause AND MIT
URL:       https://github.com/hunspell/mythes
Source:    https://github.com/hunspell/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires: hunspell-devel, gcc-c++

%description
MyThes is a simple thesaurus that uses a structured text data file and an
index file with binary search to look up words and phrases and return 
information on part of speech, meanings, and synonyms.

%package devel
Requires: mythes = %{version}-%{release}, pkgconfig
Summary:  Files for developing with mythes

%description devel
Includes and definitions for developing with mythes

%prep
%setup -q

%build
%configure --disable-rpath --disable-static
%make_build

%check
make check
./example th_en_US_new.idx th_en_US_new.dat checkme.lst
./example morph.idx morph.dat morph.lst morph.aff morph.dic

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/mythes

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README COPYING AUTHORS
%{_libdir}/*.so.*
%{_datadir}/mythes

%files devel
%doc data_layout.txt
%{_includedir}/mythes.hxx
%{_libdir}/*.so
%{_libdir}/pkgconfig/mythes.pc
%{_bindir}/th_gen_idx.pl

%changelog
* Mon Jul 08 2024 yaoxin <yao_xin001@hoperun.com> - 1.2.5-1
- Update to 1.2.5
  * Fix use of deprecated hunspell apis in demo
  * Fix some compilation warnings

* Sat Jul 18 2020 lingsheng <lingsheng@huawei.com> - 1.2.4-11
- Package init
